searchNodes=[{"ref":"Membrane.Element.GCloud.SpeechToText.html","title":"Membrane.Element.GCloud.SpeechToText","type":"module","doc":"An element providing speech recognition via Google Cloud Speech To Text service using Streaming API. The element has to handle a connection time limit (currently 5 minutes). It does that by spawning multiple streaming clients - the streaming is stopped after streaming_time_limit (see t/0) and a new client that starts streaming is spawned. The old one is kept alive for results_await_time and will receive recognition results for the streamed audio. This means that first results from the new client might arrive before the last result from an old client. Bear in mind that streaming_time_limit + results_await_time must be smaller than recognition time limit for Google Streaming API (currently 5 minutes) Element options Passed via struct Membrane.Element.GCloud.SpeechToText.t/0 language_code Default value: &quot;en-US&quot; The language of the supplied audio. See Language Support for a list of supported languages codes. interim_results Default value: false If set to true, the interim results may be returned by recognition API. See Google API docs for more info. word_time_offsets Default value: false If true, the top result includes a list of words and the start and end time offsets (timestamps) for those words. speech_contexts Default value: [] A list of speech recognition contexts. See the docs for more info. model Default value: :default Model used for speech recognition. Bear in mind that :video model is a premium model that costs more than the standard rate. streaming_time_limit Default value: 200 |&gt; Membrane.Time.seconds() Determines how much audio can be sent to recognition API in one client session. After this time, a new client session is created while the old one is kept alive for some time to receive recognition results. Bear in mind that streaming_time_limit + results_await_time must be smaller than recognition time limit for Google Streaming API (currently 5 minutes) results_await_time Default value: 90 |&gt; Membrane.Time.seconds() The amount of time a client that stopped streaming is kept alive awaiting results from recognition API. reconnection_overlap_time Default value: 2 |&gt; Membrane.Time.seconds() Duration of audio re-sent in a new client session after reconnection Pads :input Availability:always Bin?false CapsMembrane.Caps.Audio.FLAC Demand&nbsp;unit:buffers Direction:input Mode:pull Name:input"},{"ref":"Membrane.Element.GCloud.SpeechToText.html#membrane_pads/0","title":"Membrane.Element.GCloud.SpeechToText.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.GCloud.SpeechToText"},{"ref":"Membrane.Element.GCloud.SpeechToText.html#options/0","title":"Membrane.Element.GCloud.SpeechToText.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.GCloud.SpeechToText.html#t:t/0","title":"Membrane.Element.GCloud.SpeechToText.t/0","type":"type","doc":"Struct containing options for Membrane.Element.GCloud.SpeechToText"},{"ref":"readme.html","title":"Membrane Multimedia Framework: GCloud Speech To Text","type":"extras","doc":"Membrane Multimedia Framework: GCloud Speech To Text This package provides a Sink wrapping Google Cloud Speech To Text Streaming API client. Currently supports only audio streams in FLAC format. The docs can be found at HexDocs."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: GCloud Speech To Text - Installation","type":"extras","doc":"The package can be installed by adding membrane_element_gcloud_speech_to_text to your list of dependencies in mix.exs: def deps do [ {:membrane_element_gcloud_speech_to_text, &quot;~&gt; 0.4.0&quot;} ] end"},{"ref":"readme.html#configuration","title":"Membrane Multimedia Framework: GCloud Speech To Text - Configuration","type":"extras","doc":"To use the element you need a config/config.exs file with Google credentials: use Mix.Config config :goth, json: &quot;a_path/to/google/credentials/creds.json&quot; |&gt; File.read!() More info on how to configure credentials can be found in README of Goth library used for authentication."},{"ref":"readme.html#usage","title":"Membrane Multimedia Framework: GCloud Speech To Text - Usage","type":"extras","doc":"The input stream for this element should be parsed, so most of the time it should be placed in pipeline right after FLACParser Here&#39;s an example of pipeline streaming audio file to speech recognition API: defmodule SpeechRecognition do use Membrane.Pipeline alias Google.Cloud.Speech.V1.StreamingRecognizeResponse alias Membrane.Element.{File, FLACParser, GCloud} @impl true def handle_init(_) do children = [ src: %File.Source{location: &quot;sample.flac&quot;}, parser: FLACParser, sink: %GCloud.SpeechToText{ interim_results: false, language_code: &quot;en-GB&quot;, word_time_offsets: true } ] links = %{ {:src, :output} =&gt; {:parser, :input}, {:parser, :output} =&gt; {:sink, :input} } spec = %Membrane.Pipeline.Spec{ children: children, links: links } {{:ok, spec}, %{}} end @impl true def handle_notification(%StreamingRecognizeResponse{} = response, _element, state) do IO.inspect(response) {:ok, state} end def handle_notification(_notification, _element, state) do {:ok, state} end end The pipeline also requires a config file and the following dependencies: [ {:membrane_core, &quot;~&gt; 0.4.2&quot;}, {:membrane_element_file, &quot;~&gt; 0.2&quot;}, {:membrane_element_flac_parser, &quot;~&gt; 0.1&quot;}, {:membrane_element_gcloud_speech_to_text, &quot;~&gt; 0.3&quot;} ]"},{"ref":"readme.html#testing","title":"Membrane Multimedia Framework: GCloud Speech To Text - Testing","type":"extras","doc":"Tests tagged :external are excluded by default since they contact the real API and require configuration of credentials. See Configuration"},{"ref":"readme.html#fixture","title":"Membrane Multimedia Framework: GCloud Speech To Text - Fixture","type":"extras","doc":"A recording fragment in test/fixtures comes from an audiobook &quot;The adventures of Sherlock Holmes (version 2)&quot; available on LibriVox"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: GCloud Speech To Text - Copyright and License","type":"extras","doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0"}]